# Generated from omnibus-9.0.23.gem by gem2rpm -*- rpm-spec -*-
%global gem_name omnibus

Name: rubygem-%{gem_name}
Version: 9.0.23
Release: 1%{?dist}
Summary: Omnibus is a framework for building self-installing, full-stack software builds
License: Apache-2.0
URL: https://github.com/chef/omnibus
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6
# BuildRequires: rubygem(artifactory) >= 3.0
# BuildRequires: rubygem(artifactory) < 4
# BuildRequires: rubygem(aruba) >= 2.0
# BuildRequires: rubygem(aruba) < 3
# BuildRequires: rubygem(chefstyle) = 2.2.2
# BuildRequires: rubygem(fauxhai-ng) >= 7.5
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-json_expectations)
# BuildRequires: rubygem(rspec-its)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(appbundler)
BuildArch: noarch

%description
Omnibus is a framework for building self-installing, full-stack software
builds.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/omnibus
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/resources
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/omnibus.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 25 2023 mockbuilder - 9.0.23-1
- Initial package
